Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit
Class DomainData.Ref

    java.lang.Object
      de.knipp.rritoolkit.DomainData.Ref

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DomainData

    public static class DomainData.Ref

extends java.lang.Object
implements java.io.Serializable

class that represents a reference to a contact.

Version:
  $Revision: 14987 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Field Summary
`private ContactData` | `contact` the contact itself
`private boolean` | `fromDescription` flag whether the contact was derived from a description field
`private DomainData.Role` | `role` the role

Constructor Summary
`DomainData.Ref(DomainData.Role theRole, ContactData theContact)` constructor
`DomainData.Ref(DomainData.Role theRole, ContactData theContact, boolean isFromDescr)` constructor

Method Summary
`ContactData` | `getContact()` return the contact
`DomainData.Role` | `getRole()` return the role
`boolean` | `isFromDescription()` return whether the contact data has been derived from a domain description field

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### role

    private DomainData.Role role

  the role

### contact

    private ContactData contact

  the contact itself

### fromDescription

    private boolean fromDescription

  flag whether the contact was derived from a description field

Constructor Detail

### DomainData.Ref

    public DomainData.Ref(DomainData.Role theRole,
                          ContactData theContact,
                          boolean isFromDescr)

  constructor

  Parameters:
    `theRole` - the role
    `theContact` - the contact
    `isFromDescr` - whether the contact is derived from a domain description field

### DomainData.Ref

    public DomainData.Ref(DomainData.Role theRole,
                          ContactData theContact)

  constructor

  Parameters:
    `theRole` - the role
    `theContact` - the contact

Method Detail

### getRole

    public DomainData.Role getRole()

  return the role

  Returns:
    the role

### getContact

    public ContactData getContact()

  return the contact

  Returns:
    the contact

### isFromDescription

    public boolean isFromDescription()

  return whether the contact data has been derived from a domain description field

  Returns:
    `true` if so

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH